ranges::v3::concepts::SizedRange Struct Reference
Inheritance diagram for ranges::v3::concepts::SizedRange:

## Public Types

template<typename T >
using | size_t = decltype(size(std::declval< T & >()))
Public Types inherited from ranges::v3::concepts::refines< Range >
using | base_concepts_t = meta::list< Concepts... >

## Public Member Functions

template<typename T >
auto | requires_ (T &t) -> decltype(concepts::valid_expr(concepts::is_false(disable_sized_range< uncvref_t< T >>()), concepts::model_of< Integral >(size(t))))
Public Member Functions inherited from ranges::v3::concepts::refines< Range >
void | requires_ ()